.banner-horizontal {
  position: relative;

  &.-background > .image {
    min-height: 20rem;
  }

  > .image.-custom::after {
    padding-bottom: 79.638%;

    @include media("md") {
      padding-bottom: 26.042%;
    }
  }

  > .text {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    color: var(--color, var(--white));
    padding: 2rem 0;
    background-color: rgba(0, 0, 0, 0.2);
  }

  > .text .container {
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;

    &.center {
      text-align: center;
      align-items: center;
    }

    &.center .button-default {
      margin-left: auto;
      margin-right: auto;
    }

    &.right {
      align-items: flex-end;
    }

    &.right .button-default {
      margin-left: auto;
      margin-right: 0;
    }
  }

  // Define a moldura ao redor do texto, quando o parâmetro "background" do liquid recebe true
  // Só é exibido quando existir uma imagem no fullbanner
  &.-background > .text .content {
    padding: 2.4rem;
    overflow: hidden;
    border-radius: 0.8rem;

    &::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      background-color: rgba(255, 255, 255, 0.4);
      backdrop-filter: blur(0.4rem);
    }
  }

  > .text .content {
    position: relative;
    max-width: 35rem;
  }

  .text .content > * {
    position: relative;
  }

  > .text .description {
    margin-top: 0.8rem;
    font-size: var(--font-size-base);
    margin-bottom: 0;
  }

  > .text .title {
    color: inherit;
    margin-bottom: 0;
  }

  > .text .button-default {
    margin-top: 0.8rem;
    color: var(--color, var(--white));
    border-color: var(--color, var(--white));

    &:hover {
      border-color: var(--secondary-color);
    }
  }
}